commit:     4745df7152f67739fe9d4ffaa91b0411630ea60e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon May 20 08:27:26 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon May 20 08:27:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4745df71

net-analyzer/munin: drop 2.0.69-r1, 2.0.74

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 net-analyzer/munin/Manifest               |   4 -
 net-analyzer/munin/munin-2.0.69-r1.ebuild | 420 ------------------------------
 net-analyzer/munin/munin-2.0.74.ebuild    | 418 -----------------------------
 3 files changed, 842 deletions(-)

diff --git a/net-analyzer/munin/Manifest b/net-analyzer/munin/Manifest
index c3770e9ad849..6f2459e3e401 100644
--- a/net-analyzer/munin/Manifest
+++ b/net-analyzer/munin/Manifest
@@ -1,7 +1,3 @@
-DIST munin-2.0.69-gentoo-1.tar.xz 3980 BLAKE2B 
5aae9c29befa761f797d362c90d810051a7f3a5dc8250776ab6ae1659197d795dfb87274db66ff0a3deb4e10e14ced5b3765551a3f29357c436968a848f450ea
 SHA512 
b21d6590bb9e1da127066a06818f1f3157362762f80526e2231b926956959e62af575f38235f72326376dc21bba63f9767efa379f1f2558ca9b20ddf5395e851
-DIST munin-2.0.69.tar.gz 2258024 BLAKE2B 
2d270f6f67fc9a86a592e2b7cbcf4111d6ae40bf1928b0ad0adb99ad32384810e5768c17019f9163e8b22fd8524b28257df527df023db9c1ba333691b384dd74
 SHA512 
4976e394e046d3fe1cbb000acdf081060188517e09abcf8b60dd7c55e0e1cdf46e33d1760368cb1423dfb9286e397df2072a2c55ba8b79adeae4ea2303130667
 DIST munin-2.0.73.tar.gz 2259959 BLAKE2B 
2d2e4ce00b2df06f083280b9253f875ded100e42c991152f3f8e4b39e85d605367efc18df369e07e18eac38aabd78faa959c367752b153f97246bb47a9732f20
 SHA512 
4f1d59ff3f163c8fac883973ebba1221619d716c4cde506d9265544c52e73f43e8b587cda3fd00bcf779ceeaf8fef6e7780d9ea4be5b99894f0bb5047f24b935
-DIST munin-2.0.74.tar.gz 2258466 BLAKE2B 
a993c97d1f2c3aec8c3970e75d0406ce8b5a56eb54c729cdd97c4fbd38190dc474336b9faf06881b4f293a72c4181e8138edefc51da548c179c082869d966f34
 SHA512 
ad75100576b74d1d75bb7f204975ce683c88aadb668d61feabc6652d5dc0495af4f94a9e8d485a242dbc178f003be91ec72c350b35186d9410035f1c8688f97b
 DIST munin-2.0.75.tar.gz 2258514 BLAKE2B 
689b436913a931c9002757267db236ba4ab1da947552c43ad2b96c2e5b26427499e681d0606d0045cfbbd90b70a69572b8550660a598d672babeba8388feacf5
 SHA512 
cceb47c27bfb3080980fd6342e805b5b9fecbef7033d6f2a83fe6c78d20f943961c9f1775ef5e464e49c25c9d246606594f2844827b38d34c04016f15dd68613
 DIST munin-2.0.76.tar.gz 2258538 BLAKE2B 
74d8d055be52f605b2d0f2551328bd425e9550a7dd86740479f7a6efd9a9d8be7a78b4075fe68a9c658981b2089d6277eb51b758fb8ba341c149117457ab4696
 SHA512 
e43d8f123cb6bf9a1b99dde4fe93440e256b3950ec1f79923998f83b14530bba24dab87ece1d3e7e5bf3afd645eafa6c1055d1119748e76230cfb29136712086
-DIST munin-remove-Date-Manip-DM5.patch 3587 BLAKE2B 
fab1fb61607e83aac5cbd699c93015d77ca6e58d9734a5a6bc17af6c3c7695ddf4257104cd69db4d3b3e1d36bb1d66a1893ddb51bfc52d0a1dd2efb3ba32a9c0
 SHA512 
976d7a50de6437a26fa77917368ab604c1987f686030e097c200fe9ebebd08e5fae10c04640cadbfecef90eda76ba123cf303d2d671cefa78b09752d1f6757af

diff --git a/net-analyzer/munin/munin-2.0.69-r1.ebuild 
b/net-analyzer/munin/munin-2.0.69-r1.ebuild
deleted file mode 100644
index a2e3e857ae21..000000000000
--- a/net-analyzer/munin/munin-2.0.69-r1.ebuild
+++ /dev/null
@@ -1,420 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PATCHSET=1
-
-inherit java-pkg-opt-2 systemd tmpfiles
-
-MY_P=${P/_/-}
-
-DESCRIPTION="Munin Server Monitoring Tool"
-HOMEPAGE="https://munin-monitoring.org/";
-SRC_URI="
-       https://github.com/munin-monitoring/munin/archive/${PV}.tar.gz -> 
${P}.tar.gz
-       https://dev.gentoo.org/~graaff/munin/${P}-gentoo-${PATCHSET}.tar.xz
-       
https://github.com/munin-monitoring/munin/commit/47a2ea75899a6395a80918d043a21d61fe712b44.patch
 -> munin-remove-Date-Manip-DM5.patch
-       "
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc ~ppc64 x86"
-IUSE="asterisk irc java ldap memcached minimal mysql postgres selinux ssl test 
cgi ipv6 syslog ipmi http dhcpd doc apache2"
-REQUIRED_USE="cgi? ( !minimal ) apache2? ( cgi )"
-RESTRICT="!test? ( test )"
-
-# Upstream's listing of required modules is NOT correct!
-# Some of the postgres plugins use DBD::Pg, while others call psql directly.
-# Some of the mysql plugins use DBD::mysql, while others call mysqladmin 
directly.
-# We replace the original ipmi plugins with the freeipmi_ plugin which at 
least works.
-DEPEND_COM="
-       acct-user/munin
-       acct-user/munin-async
-       acct-group/munin
-       dev-lang/perl:=[berkdb]
-       dev-perl/DBI
-       dev-perl/File-Copy-Recursive
-       dev-perl/List-MoreUtils
-       dev-perl/Log-Log4perl
-       dev-perl/Net-CIDR
-       dev-perl/Net-DNS
-       dev-perl/Net-Netmask
-       dev-perl/Net-SNMP
-       dev-perl/Net-Server[ipv6(-)?]
-       dev-perl/TimeDate
-       virtual/perl-Digest-MD5
-       virtual/perl-Getopt-Long
-       virtual/perl-MIME-Base64
-       virtual/perl-Storable
-       virtual/perl-Text-Balanced
-       virtual/perl-Time-HiRes
-       apache2? ( 
www-servers/apache[apache2_modules_cgi,apache2_modules_cgid,apache2_modules_rewrite]
 )
-       asterisk? ( dev-perl/Net-Telnet )
-       cgi? (
-               dev-perl/FCGI
-               dev-perl/CGI-Fast
-               )
-       dhcpd? (
-               >=net-misc/dhcp-3[server]
-               dev-perl/Net-IP
-               dev-perl/HTTP-Date
-               )
-       doc? ( dev-python/sphinx )
-       http? ( dev-perl/libwww-perl )
-       irc? ( dev-perl/Net-IRC )
-       ldap? ( dev-perl/perl-ldap )
-       kernel_linux? ( sys-process/procps )
-       memcached? ( dev-perl/Cache-Memcached )
-       mysql? (
-               virtual/mysql
-               dev-perl/Cache-Cache
-               dev-perl/DBD-mysql
-               )
-       postgres? ( dev-perl/DBD-Pg dev-db/postgresql:* )
-       ssl? ( dev-perl/Net-SSLeay )
-       syslog? ( virtual/perl-Sys-Syslog )
-       !minimal? (
-               dev-perl/HTML-Template
-               dev-perl/IO-Socket-INET6
-               dev-perl/URI
-               >=net-analyzer/rrdtool-1.3[graph,perl]
-               virtual/ssh
-               )
-       "
-
-# Keep this seperate, as previous versions have had other deps here
-DEPEND="${DEPEND_COM}
-       dev-perl/Module-Build
-       java? ( >=virtual/jdk-1.8 )
-       test? (
-               dev-perl/Test-Deep
-               dev-perl/Test-Exception
-               dev-perl/Test-LongString
-               dev-perl/Test-Differences
-               dev-perl/Test-MockModule
-               dev-perl/Test-MockObject
-               dev-perl/File-Slurp
-               dev-perl/IO-stringy
-               dev-perl/IO-Socket-INET6
-       )"
-RDEPEND="${DEPEND_COM}
-               app-alternatives/awk
-               ipmi? ( >=sys-libs/freeipmi-1.1.6-r1 )
-               java? (
-                       >=virtual/jre-1.8:*
-                       || ( net-analyzer/netcat net-analyzer/openbsd-netcat )
-               )
-               !minimal? (
-                       virtual/cron
-                       media-fonts/dejavu
-               )
-               selinux? ( sec-policy/selinux-munin )"
-
-S="${WORKDIR}/${MY_P}"
-
-pkg_setup() {
-       java-pkg-opt-2_pkg_setup
-}
-
-src_prepare() {
-       echo ${PV} > RELEASE || die
-
-       eapply "${WORKDIR}"/patches/*.patch
-       # Quick hack to make the munin-remove-Date-Manip-DM5.patch apply
-       sed -i -e '/^BEGIN/,/Date::Manip::Backend/{ /no warnings;/d  }' 
"${S}"/master/_bin/munin-cgi-graph.in
-       eapply "${DISTDIR}"/munin-remove-Date-Manip-DM5.patch
-
-       eapply_user
-
-       java-pkg-opt-2_src_prepare
-}
-
-src_configure() {
-       local cgidir='$(DESTDIR)/usr/libexec/munin/cgi'
-       use cgi || cgidir="${T}/useless/cgi-bin"
-
-       local cgiuser=$(usex apache2 apache munin)
-
-       cat >> "${S}"/Makefile.config <<- EOF || die
-       PREFIX=\$(DESTDIR)/usr
-       CONFDIR=\$(DESTDIR)/etc/munin
-       DOCDIR=${T}/useless/doc
-       MANDIR=\$(PREFIX)/share/man
-       LIBDIR=\$(PREFIX)/libexec/munin
-       HTMLDIR=\$(DESTDIR)/var/www/localhost/htdocs/munin
-       CGIDIR=${cgidir}
-       CGITMPDIR=\$(DESTDIR)/var/cache/munin-cgi
-       CGIUSER=${cgiuser}
-       DBDIR=\$(DESTDIR)/var/lib/munin
-       DBDIRNODE=\$(DESTDIR)/var/lib/munin-node
-       SPOOLDIR=\$(DESTDIR)/var/spool/munin-async
-       LOGDIR=\$(DESTDIR)/var/log/munin
-       PERLLIB=\$(DESTDIR)$(perl -V:vendorlib | cut -d"'" -f2)
-       JCVALID=$(usex java yes no)
-       STATEDIR=\$(DESTDIR)/run/munin
-       EOF
-}
-
-# parallel make and install need to be fixed before, and I haven't
-# gotten around to do so yet.
-src_compile() {
-       emake -j1
-       use doc && emake -C doc html
-}
-
-src_test() {
-       if [[ ${EUID} == 0 ]]; then
-               eerror "You cannot run tests as root."
-               eerror "Please enable FEATURES=userpriv before proceeding."
-               return 1
-       fi
-
-       local testtargets="test-common test-node test-plugins"
-       use minimal || testtargets+=" test-master"
-
-       LC_ALL=C emake -j1 ${testtargets}
-}
-
-src_install() {
-       local dirs="
-               /var/log/munin
-               /var/lib/munin/plugin-state
-               /var/lib/munin-node/plugin-state
-               /var/www/localhost/htdocs/munin
-               /etc/munin/plugin-conf.d
-               /etc/munin/plugins"
-       use minimal || dirs+=" /etc/munin/munin-conf.d/"
-
-       keepdir ${dirs}
-       fowners munin:munin ${dirs}
-
-       # parallel install doesn't work and it's also pointless to have this
-       # run in parallel for now (because it uses internal loops).
-       emake -j1 CHOWN=true DESTDIR="${D}" $(usex minimal "install-minimal 
install-man" install)
-
-       # we remove /run from the install, as it's not the package's to deal
-       # with.
-       rm -rf "${D}"/run || die
-
-       # remove the plugins for non-Gentoo package managers; use -f so that
-       # it doesn't fail when installing on non-Linux platforms.
-       rm -f "${D}"/usr/libexec/munin/plugins/{apt{,_all},yum} || die
-
-       insinto /etc/munin/plugin-conf.d/
-       newins "${FILESDIR}"/${PN}-1.3.2-plugins.conf munin-node
-
-       newinitd "${FILESDIR}"/munin-node_init.d_2.0.19 munin-node
-       newconfd "${FILESDIR}"/munin-node_conf.d_1.4.6-r2 munin-node
-
-       newinitd "${FILESDIR}"/munin-asyncd.init.2 munin-asyncd
-
-       newtmpfiles - ${CATEGORY}:${PN}:${SLOT}.conf <<-EOF || die
-       d /run/munin 0700 munin munin - -
-       EOF
-
-       systemd_dounit "${FILESDIR}"/munin-async.service
-       systemd_dounit "${FILESDIR}"/munin-graph.{service,socket}
-       systemd_dounit "${FILESDIR}"/munin-html.{service,socket}
-       systemd_dounit "${FILESDIR}"/munin-node.service
-
-       cat >> "${T}"/munin.env <<- EOF
-       CONFIG_PROTECT=/var/spool/munin-async/.ssh
-       EOF
-       newenvd "${T}"/munin.env 50munin
-
-       dodoc README ChangeLog INSTALL
-       if use doc; then
-               cd "${S}"/doc/_build/html || die
-               docinto html
-               dodoc -r *
-               cd "${S}" || die
-       fi
-
-       dodir /etc/logrotate.d/
-       sed -e "s:@CGIUSER@:$(usex apache2 apache munin):g" \
-               "${FILESDIR}"/logrotate.d-munin.3 > "${D}"/etc/logrotate.d/munin
-
-       dosym ipmi_ /usr/libexec/munin/plugins/ipmi_sensor_
-
-       if use syslog; then
-               sed -i -e '/log_file/s| .*| Sys::Syslog|' \
-                       "${D}"/etc/munin/munin-node.conf || die
-       fi
-
-       # Use a simpler pid file to avoid trouble with /run in tmpfs. The
-       # munin-node service is ran as user root, and only later drops
-       # privileges.
-       sed -i -e 's:/run/munin/munin-node.pid:/run/munin-node.pid:' \
-               "${D}"/etc/munin/munin-node.conf || die
-
-       keepdir /var/spool/munin-async/.ssh
-       touch "${D}"/var/spool/munin-async/.ssh/authorized_keys
-       fowners munin-async:munin 
/var/spool/munin-async{,/.ssh/{,authorized_keys}}
-       fperms 0750 /var/spool/munin-async{,/.ssh}
-       fperms 0600 /var/spool/munin-async/.ssh/authorized_keys
-
-       if use minimal; then
-               # This requires the presence of munin-update, which is part of
-               # the non-minimal install...
-               rm "${D}"/usr/libexec/munin/plugins/munin_stats
-       else
-               # remove font files so that we don't have to keep them around
-               rm "${D}"/usr/libexec/${PN}/*.ttf || die
-
-               if use cgi; then
-                       sed -i -e '/#graph_strategy cgi/s:^#::' 
"${D}"/etc/munin/munin.conf || die
-
-                       touch "${D}"/var/log/munin/munin-cgi-{graph,html}.log
-                       fowners $(usex apache2 apache munin) \
-                               /var/log/munin/munin-cgi-{graph,html}.log
-
-                       if use apache2; then
-                               insinto /etc/apache2/vhosts.d
-                               newins "${FILESDIR}"/munin.apache.include 
munin.include
-                               newins "${FILESDIR}"/munin.apache.include-2.4 
munin-2.4.include
-                       fi
-               else
-                       sed \
-                               -e '/#graph_strategy cgi/s:#graph_strategy 
cgi:graph_strategy cron:' \
-                               -i "${D}"/etc/munin/munin.conf || die
-               fi
-
-               keepdir /var/lib/munin/.ssh
-               cat >> "${D}"/var/lib/munin/.ssh/config <<- EOF
-               IdentityFile /var/lib/munin/.ssh/id_ecdsa
-               IdentityFile /var/lib/munin/.ssh/id_rsa
-               EOF
-
-               fowners munin:munin /var/lib/munin/.ssh/{,config}
-               fperms go-rwx /var/lib/munin/.ssh/{,config}
-
-               dodir /usr/share/${PN}
-               cat >> "${D}"/usr/share/${PN}/crontab <<- EOF
-               # Force the shell to bash
-               SHELL=/bin/bash
-               # Mail reports to root@, not munin@
-               MAILTO=root
-
-               # This runs the munin task every 5 minutes.
-               */5     * * * *         /usr/bin/munin-cron
-
-               # Alternatively, this route works differently
-               # Update once a minute (for busy sites)
-               #*/1 * * * *            /usr/libexec/munin/munin-update
-               ## Check for limit excess every 2 minutes
-               #*/2 * * * *            /usr/libexec/munin/munin-limits
-               ## Update graphs every 5 minutes
-               #*/5 * * * *            nice /usr/libexec/munin/munin-graph
-               ## Update HTML pages every 15 minutes
-               #*/15 * * * *           nice /usr/libexec/munin/munin-html
-               EOF
-
-               cat >> "${D}"/usr/share/${PN}/fcrontab <<- EOF
-               # Mail reports to root@, not munin@, only execute one at a time
-               !mailto(root),serial(true)
-
-               # This runs the munin task every 5 minutes.
-               @ 5             /usr/bin/munin-cron
-
-               # Alternatively, this route works differently
-               # Update once a minute (for busy sites)
-               #@ 1    /usr/libexec/munin/munin-update
-               ## Check for limit excess every 2 minutes
-               #@ 2    /usr/libexec/munin/munin-limits
-               ## Update graphs every 5 minutes
-               #@ 5    nice /usr/libexec/munin/munin-graph
-               ## Update HTML pages every 15 minutes
-               #@ 15   nice /usr/libexec/munin/munin-html
-               EOF
-
-               # remove .htaccess file
-               find "${D}" -name .htaccess -delete || die
-       fi
-}
-
-pkg_config() {
-       if use minimal; then
-               einfo "Nothing to do."
-               return 0
-       fi
-
-       einfo "Press enter to install the default crontab for the munin master"
-       einfo "installation from /usr/share/${PN}/f?crontab"
-       einfo "If you have a large site, you may wish to customize it."
-       read
-
-       ebegin "Setting up cron ..."
-       if has_version sys-process/fcron; then
-               fcrontab - -u munin < /usr/share/${PN}/fcrontab
-       else
-               # dcron is very fussy about syntax
-               # the following is the only form that works in BOTH dcron and 
vixie-cron
-               crontab - -u munin < /usr/share/${PN}/crontab
-       fi
-       eend $?
-
-       einfo "Press enter to set up the SSH keys used for SSH transport"
-       read
-
-       # generate one rsa (for legacy) and one ecdsa (for new systems)
-       ssh-keygen -t rsa \
-               -f /var/lib/munin/.ssh/id_rsa -N '' \
-               -C "created by portage for ${CATEGORY}/${PN}" || die
-       ssh-keygen -t ecdsa \
-               -f /var/lib/munin/.ssh/id_ecdsa -N '' \
-               -C "created by portage for ${CATEGORY}/${PN}" || die
-       chown -R munin:munin /var/lib/munin/.ssh || die
-       chmod 0600 /var/lib/munin/.ssh/id_{rsa,ecdsa} || die
-
-       einfo "Your public keys are available in "
-       einfo "  /var/lib/munin/.ssh/id_rsa.pub"
-       einfo "  /var/lib/munin/.ssh/id_ecdsa.pub"
-       einfo "and follows for convenience"
-       echo
-       cat /var/lib/munin/.ssh/id_*.pub
-}
-
-pkg_postinst() {
-       tmpfiles_process ${CATEGORY}:${PN}:${SLOT}.conf
-
-       elog "Please follow the munin documentation to set up the plugins you"
-       elog "need, afterwards start munin-node."
-       elog ""
-       elog "To make use of munin-async, make sure to set up the corresponding"
-       elog "SSH key in /var/lib/munin-async/.ssh/authorized_keys"
-       elog ""
-       if ! use minimal; then
-               elog "Please run"
-               elog "  emerge --config net-analyzer/munin"
-               elog "to automatically configure munin's cronjobs as well as 
generate"
-               elog "passwordless SSH keys to be used with munin-async."
-       fi
-       elog ""
-       elog "Further information about setting up Munin in Gentoo can be found"
-       elog "in the Gentoo Wiki: https://wiki.gentoo.org/wiki/Munin";
-
-       if use cgi; then
-               chown $(usex apache2 apache munin) \
-                       "${ROOT}"/var/log/munin/munin-cgi-{graph,html}.log
-
-               if use apache2; then
-                       elog "To use Munin with CGI you should include 
/etc/apache2/vhosts.d/munin.include"
-                       elog "or /etc/apache2/vhosts.d/munin-2.4.include (for 
Apache 2.4) from the virtual"
-                       elog "host you want it to be served."
-                       elog "If you want to enable CGI-based HTML as well, you 
have to add to"
-                       elog "/etc/conf.d/apache2 the option -D MUNIN_HTML_CGI."
-               else
-                       elog "Effective CGI support has just been added in 
2.0.7-r6."
-                       elog "Documentation on how to use it is still sparse."
-               fi
-       fi
-
-       # we create this here as we don't want Portage to check /run
-       # symlinks but we still need this to be present before the reboot.
-       if ! use minimal && ! [[ -d "${ROOT}"/run/munin ]]; then
-               mkdir "${ROOT}"/run/munin
-               chown munin:munin "${ROOT}"/run/munin
-               chmod 0700 "${ROOT}"/run/munin
-       fi
-}

diff --git a/net-analyzer/munin/munin-2.0.74.ebuild 
b/net-analyzer/munin/munin-2.0.74.ebuild
deleted file mode 100644
index d81f16efcec8..000000000000
--- a/net-analyzer/munin/munin-2.0.74.ebuild
+++ /dev/null
@@ -1,418 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PATCHSET=1
-
-inherit java-pkg-opt-2 systemd tmpfiles
-
-MY_P=${P/_/-}
-
-DESCRIPTION="Munin Server Monitoring Tool"
-HOMEPAGE="https://munin-monitoring.org/";
-SRC_URI="
-       https://github.com/munin-monitoring/munin/archive/${PV}.tar.gz -> 
${P}.tar.gz
-       "
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
-IUSE="asterisk irc java ldap memcached minimal mysql postgres selinux ssl test 
cgi ipv6 syslog ipmi http dhcpd doc apache2"
-REQUIRED_USE="cgi? ( !minimal ) apache2? ( cgi )"
-RESTRICT="!test? ( test )"
-
-# Upstream's listing of required modules is NOT correct!
-# Some of the postgres plugins use DBD::Pg, while others call psql directly.
-# Some of the mysql plugins use DBD::mysql, while others call mysqladmin 
directly.
-# We replace the original ipmi plugins with the freeipmi_ plugin which at 
least works.
-DEPEND_COM="
-       acct-user/munin
-       acct-user/munin-async
-       acct-group/munin
-       dev-lang/perl:=[berkdb]
-       dev-perl/DBI
-       dev-perl/Date-Manip
-       dev-perl/File-Copy-Recursive
-       dev-perl/List-MoreUtils
-       dev-perl/Log-Log4perl
-       dev-perl/Net-CIDR
-       dev-perl/Net-DNS
-       dev-perl/Net-Netmask
-       dev-perl/Net-SNMP
-       dev-perl/Net-Server[ipv6(-)?]
-       dev-perl/TimeDate
-       virtual/perl-Digest-MD5
-       virtual/perl-Getopt-Long
-       virtual/perl-MIME-Base64
-       virtual/perl-Storable
-       virtual/perl-Text-Balanced
-       virtual/perl-Time-HiRes
-       apache2? ( 
www-servers/apache[apache2_modules_cgi,apache2_modules_cgid,apache2_modules_rewrite]
 )
-       asterisk? ( dev-perl/Net-Telnet )
-       cgi? (
-               dev-perl/FCGI
-               dev-perl/CGI-Fast
-               )
-       dhcpd? (
-               >=net-misc/dhcp-3[server]
-               dev-perl/Net-IP
-               dev-perl/HTTP-Date
-               )
-       doc? ( dev-python/sphinx )
-       http? ( dev-perl/libwww-perl )
-       irc? ( dev-perl/Net-IRC )
-       ldap? ( dev-perl/perl-ldap )
-       kernel_linux? ( sys-process/procps )
-       memcached? ( dev-perl/Cache-Memcached )
-       mysql? (
-               virtual/mysql
-               dev-perl/Cache-Cache
-               dev-perl/DBD-mysql
-               )
-       postgres? ( dev-perl/DBD-Pg dev-db/postgresql:* )
-       ssl? ( dev-perl/Net-SSLeay )
-       syslog? ( virtual/perl-Sys-Syslog )
-       !minimal? (
-               dev-perl/HTML-Template
-               dev-perl/IO-Socket-INET6
-               dev-perl/URI
-               >=net-analyzer/rrdtool-1.3[graph,perl]
-               virtual/ssh
-               )
-       "
-
-# Keep this seperate, as previous versions have had other deps here
-DEPEND="${DEPEND_COM}
-       dev-perl/Module-Build
-       java? ( >=virtual/jdk-1.8 )
-       test? (
-               dev-perl/Test-Deep
-               dev-perl/Test-Exception
-               dev-perl/Test-LongString
-               dev-perl/Test-Differences
-               dev-perl/Test-MockModule
-               dev-perl/Test-MockObject
-               dev-perl/File-Slurp
-               dev-perl/IO-stringy
-               dev-perl/IO-Socket-INET6
-       )"
-RDEPEND="${DEPEND_COM}
-               app-alternatives/awk
-               ipmi? ( >=sys-libs/freeipmi-1.1.6-r1 )
-               java? (
-                       >=virtual/jre-1.8:*
-                       || ( net-analyzer/netcat net-analyzer/openbsd-netcat )
-               )
-               !minimal? (
-                       virtual/cron
-                       media-fonts/dejavu
-               )
-               selinux? ( sec-policy/selinux-munin )"
-
-S="${WORKDIR}/${MY_P}"
-
-pkg_setup() {
-       java-pkg-opt-2_pkg_setup
-}
-
-src_prepare() {
-       echo ${PV} > RELEASE || die
-
-       eapply "${FILESDIR}"/patches/*.patch
-
-       eapply_user
-
-       java-pkg-opt-2_src_prepare
-}
-
-src_configure() {
-       local cgidir='$(DESTDIR)/usr/libexec/munin/cgi'
-       use cgi || cgidir="${T}/useless/cgi-bin"
-
-       local cgiuser=$(usex apache2 apache munin)
-
-       cat >> "${S}"/Makefile.config <<- EOF || die
-       PREFIX=\$(DESTDIR)/usr
-       CONFDIR=\$(DESTDIR)/etc/munin
-       DOCDIR=${T}/useless/doc
-       MANDIR=\$(PREFIX)/share/man
-       LIBDIR=\$(PREFIX)/libexec/munin
-       HTMLDIR=\$(DESTDIR)/var/www/localhost/htdocs/munin
-       CGIDIR=${cgidir}
-       CGITMPDIR=\$(DESTDIR)/var/cache/munin-cgi
-       CGIUSER=${cgiuser}
-       DBDIR=\$(DESTDIR)/var/lib/munin
-       DBDIRNODE=\$(DESTDIR)/var/lib/munin-node
-       SPOOLDIR=\$(DESTDIR)/var/spool/munin-async
-       LOGDIR=\$(DESTDIR)/var/log/munin
-       PERLLIB=\$(DESTDIR)$(perl -V:vendorlib | cut -d"'" -f2)
-       JCVALID=$(usex java yes no)
-       STATEDIR=\$(DESTDIR)/run/munin
-       EOF
-}
-
-# parallel make and install need to be fixed before, and I haven't
-# gotten around to do so yet.
-src_compile() {
-       emake -j1
-       use doc && emake -C doc html
-}
-
-src_test() {
-       if [[ ${EUID} == 0 ]]; then
-               eerror "You cannot run tests as root."
-               eerror "Please enable FEATURES=userpriv before proceeding."
-               return 1
-       fi
-
-       local testtargets="test-common test-node test-plugins"
-       use minimal || testtargets+=" test-master"
-
-       LC_ALL=C emake -j1 ${testtargets}
-}
-
-src_install() {
-       local cgiuser=$(usex apache2 apache munin)
-
-       local dirs="
-               /var/log/munin
-               /var/lib/munin/plugin-state
-               /var/lib/munin-node/plugin-state
-               /var/www/localhost/htdocs/munin
-               /etc/munin/plugin-conf.d
-               /etc/munin/plugins"
-       use minimal || dirs+=" /etc/munin/munin-conf.d/"
-
-       keepdir ${dirs}
-       fowners munin:munin ${dirs}
-
-       # parallel install doesn't work and it's also pointless to have this
-       # run in parallel for now (because it uses internal loops).
-       emake -j1 CHOWN=true DESTDIR="${D}" $(usex minimal "install-minimal 
install-man" install)
-
-       # we remove /run and /var/cache from the install, as it's not the
-       # package's to deal with.
-       rm -rf "${D}"/run "${D}"/var/cache || die
-
-       # remove the plugins for non-Gentoo package managers; use -f so that
-       # it doesn't fail when installing on non-Linux platforms.
-       rm -f "${D}"/usr/libexec/munin/plugins/{apt{,_all},yum} || die
-
-       insinto /etc/munin/plugin-conf.d/
-       newins "${FILESDIR}"/${PN}-1.3.2-plugins.conf munin-node
-
-       newinitd "${FILESDIR}"/munin-node_init.d_2.0.73 munin-node
-       newconfd "${FILESDIR}"/munin-node_conf.d_1.4.6-r2 munin-node
-
-       newinitd "${FILESDIR}"/munin-asyncd.init.2 munin-asyncd
-
-       newtmpfiles - ${CATEGORY}:${PN}:${SLOT}.conf <<-EOF || die
-       d /run/munin 0700 munin munin - -
-       d /var/cache/munin-cgi 0755 ${cgiuser} munin - -
-       EOF
-
-       systemd_dounit "${FILESDIR}"/munin-async.service
-       systemd_dounit "${FILESDIR}"/munin-graph.{service,socket}
-       systemd_dounit "${FILESDIR}"/munin-html.{service,socket}
-       systemd_dounit "${FILESDIR}"/munin-node.service
-
-       cat >> "${T}"/munin.env <<- EOF
-       CONFIG_PROTECT=/var/spool/munin-async/.ssh
-       EOF
-       newenvd "${T}"/munin.env 50munin
-
-       dodoc README ChangeLog INSTALL
-       if use doc; then
-               cd "${S}"/doc/_build/html || die
-               docinto html
-               dodoc -r *
-               cd "${S}" || die
-       fi
-
-       dodir /etc/logrotate.d/
-       sed -e "s:@CGIUSER@:$(usex apache2 apache munin):g" \
-               "${FILESDIR}"/logrotate.d-munin.3 > "${D}"/etc/logrotate.d/munin
-
-       dosym ipmi_ /usr/libexec/munin/plugins/ipmi_sensor_
-
-       if use syslog; then
-               sed -i -e '/log_file/s| .*| Sys::Syslog|' \
-                       "${D}"/etc/munin/munin-node.conf || die
-       fi
-
-       # Use a simpler pid file to avoid trouble with /run in tmpfs. The
-       # munin-node service is ran as user root, and only later drops
-       # privileges.
-       sed -i -e 's:/run/munin/munin-node.pid:/run/munin-node.pid:' \
-               "${D}"/etc/munin/munin-node.conf || die
-
-       keepdir /var/spool/munin-async/.ssh
-       touch "${D}"/var/spool/munin-async/.ssh/authorized_keys
-       fowners munin-async:munin 
/var/spool/munin-async{,/.ssh/{,authorized_keys}}
-       fperms 0750 /var/spool/munin-async{,/.ssh}
-       fperms 0600 /var/spool/munin-async/.ssh/authorized_keys
-
-       if use minimal; then
-               # This requires the presence of munin-update, which is part of
-               # the non-minimal install...
-               rm "${D}"/usr/libexec/munin/plugins/munin_stats
-       else
-               # remove font files so that we don't have to keep them around
-               rm "${D}"/usr/libexec/${PN}/*.ttf || die
-
-               if use cgi; then
-                       sed -i -e '/#graph_strategy cgi/s:^#::' 
"${D}"/etc/munin/munin.conf || die
-
-                       touch "${D}"/var/log/munin/munin-cgi-{graph,html}.log
-                       fowners $(usex apache2 apache munin) \
-                               /var/log/munin/munin-cgi-{graph,html}.log
-
-                       if use apache2; then
-                               insinto /etc/apache2/vhosts.d
-                               newins 
"${FILESDIR}"/munin.apache.include-2.4-r1 munin-2.4.include
-                       fi
-               else
-                       sed \
-                               -e '/#graph_strategy cgi/s:#graph_strategy 
cgi:graph_strategy cron:' \
-                               -i "${D}"/etc/munin/munin.conf || die
-               fi
-
-               keepdir /var/lib/munin/.ssh
-               cat >> "${D}"/var/lib/munin/.ssh/config <<- EOF
-               IdentityFile /var/lib/munin/.ssh/id_ecdsa
-               IdentityFile /var/lib/munin/.ssh/id_rsa
-               EOF
-
-               fowners munin:munin /var/lib/munin/.ssh/{,config}
-               fperms go-rwx /var/lib/munin/.ssh/{,config}
-
-               dodir /usr/share/${PN}
-               cat >> "${D}"/usr/share/${PN}/crontab <<- EOF
-               # Force the shell to bash
-               SHELL=/bin/bash
-               # Mail reports to root@, not munin@
-               MAILTO=root
-
-               # This runs the munin task every 5 minutes.
-               */5     * * * *         /usr/bin/munin-cron
-
-               # Alternatively, this route works differently
-               # Update once a minute (for busy sites)
-               #*/1 * * * *            /usr/libexec/munin/munin-update
-               ## Check for limit excess every 2 minutes
-               #*/2 * * * *            /usr/libexec/munin/munin-limits
-               ## Update graphs every 5 minutes
-               #*/5 * * * *            nice /usr/libexec/munin/munin-graph
-               ## Update HTML pages every 15 minutes
-               #*/15 * * * *           nice /usr/libexec/munin/munin-html
-               EOF
-
-               cat >> "${D}"/usr/share/${PN}/fcrontab <<- EOF
-               # Mail reports to root@, not munin@, only execute one at a time
-               !mailto(root),serial(true)
-
-               # This runs the munin task every 5 minutes.
-               @ 5             /usr/bin/munin-cron
-
-               # Alternatively, this route works differently
-               # Update once a minute (for busy sites)
-               #@ 1    /usr/libexec/munin/munin-update
-               ## Check for limit excess every 2 minutes
-               #@ 2    /usr/libexec/munin/munin-limits
-               ## Update graphs every 5 minutes
-               #@ 5    nice /usr/libexec/munin/munin-graph
-               ## Update HTML pages every 15 minutes
-               #@ 15   nice /usr/libexec/munin/munin-html
-               EOF
-
-               # remove .htaccess file
-               find "${D}" -name .htaccess -delete || die
-       fi
-}
-
-pkg_config() {
-       if use minimal; then
-               einfo "Nothing to do."
-               return 0
-       fi
-
-       einfo "Press enter to install the default crontab for the munin master"
-       einfo "installation from /usr/share/${PN}/f?crontab"
-       einfo "If you have a large site, you may wish to customize it."
-       read
-
-       ebegin "Setting up cron ..."
-       if has_version sys-process/fcron; then
-               fcrontab - -u munin < /usr/share/${PN}/fcrontab
-       else
-               # dcron is very fussy about syntax
-               # the following is the only form that works in BOTH dcron and 
vixie-cron
-               crontab - -u munin < /usr/share/${PN}/crontab
-       fi
-       eend $?
-
-       einfo "Press enter to set up the SSH keys used for SSH transport"
-       read
-
-       # generate one rsa (for legacy) and one ecdsa (for new systems)
-       ssh-keygen -t rsa \
-               -f /var/lib/munin/.ssh/id_rsa -N '' \
-               -C "created by portage for ${CATEGORY}/${PN}" || die
-       ssh-keygen -t ecdsa \
-               -f /var/lib/munin/.ssh/id_ecdsa -N '' \
-               -C "created by portage for ${CATEGORY}/${PN}" || die
-       chown -R munin:munin /var/lib/munin/.ssh || die
-       chmod 0600 /var/lib/munin/.ssh/id_{rsa,ecdsa} || die
-
-       einfo "Your public keys are available in "
-       einfo "  /var/lib/munin/.ssh/id_rsa.pub"
-       einfo "  /var/lib/munin/.ssh/id_ecdsa.pub"
-       einfo "and follows for convenience"
-       echo
-       cat /var/lib/munin/.ssh/id_*.pub
-}
-
-pkg_postinst() {
-       tmpfiles_process ${CATEGORY}:${PN}:${SLOT}.conf
-
-       elog "Please follow the munin documentation to set up the plugins you"
-       elog "need, afterwards start munin-node."
-       elog ""
-       elog "To make use of munin-async, make sure to set up the corresponding"
-       elog "SSH key in /var/lib/munin-async/.ssh/authorized_keys"
-       elog ""
-       if ! use minimal; then
-               elog "Please run"
-               elog "  emerge --config net-analyzer/munin"
-               elog "to automatically configure munin's cronjobs as well as 
generate"
-               elog "passwordless SSH keys to be used with munin-async."
-       fi
-       elog ""
-       elog "Further information about setting up Munin in Gentoo can be found"
-       elog "in the Gentoo Wiki: https://wiki.gentoo.org/wiki/Munin";
-
-       if use cgi; then
-               chown $(usex apache2 apache munin) \
-                       "${ROOT}"/var/log/munin/munin-cgi-{graph,html}.log
-
-               if use apache2; then
-                       elog "To use Munin with CGI you should include"
-                       elog "/etc/apache2/vhosts.d/munin-2.4.include from the 
virtual"
-                       elog "host you want it to be served."
-                       elog "If you want to enable CGI-based HTML as well, you 
have to add to"
-                       elog "/etc/conf.d/apache2 the option -D MUNIN_HTML_CGI."
-               else
-                       elog "Effective CGI support has just been added in 
2.0.7-r6."
-                       elog "Documentation on how to use it is still sparse."
-               fi
-       fi
-
-       # we create this here as we don't want Portage to check /run
-       # symlinks but we still need this to be present before the reboot.
-       if ! use minimal && ! [[ -d "${ROOT}"/run/munin ]]; then
-               mkdir "${ROOT}"/run/munin
-               chown munin:munin "${ROOT}"/run/munin
-               chmod 0700 "${ROOT}"/run/munin
-       fi
-}

Reply via email to